package com.agilex.healthcare.schedulingmanager.datalayer.appointment;

import com.agilex.healthcare.schedulingmanager.domain.SMDetailCode;

import java.util.Set;

public class DetailCodeDataLayerRepo implements DetailCodeDataLayer {

	private AppointmentRequestDao AppointmentRequestDao;

    public DetailCodeDataLayerRepo() {
    }

    public DetailCodeDataLayerRepo(AppointmentRequestDao AppointmentRequestDao) {
        this.AppointmentRequestDao = AppointmentRequestDao;
    }

    @Override
	public Set<SMDetailCode> fetchDetailCodes() {
		return AppointmentRequestDao.getDetailCodes();
	}

	@Override
	public SMDetailCode fetchDetailCodeByCode(String code) {
		return AppointmentRequestDao.getDetailCodeByCode(code);
	}
}
